Name:		dt
Version:	17.66
Release:	alt1_2
Summary:	Generic data test program
Group:		File tools

License:	MIT
URL:		http://www.scsifaq.org/RMiller_Tools/dt.html
# The following location has been
# kindly provided by author himself
Source0: http://dl.dropbox.com/u/32363629/Datatest/dt-source-v%{version}.tar.gz
Patch0: dt-17.66-manpage.patch
Source44: import.info

%description
dt is a generic data test program used to verify proper operation of
peripherals, file systems, device drivers, or any data stream supported by the
operating system. In its' simplest mode of operation, dt writes and then
verifies its' default data pattern, then displays performance statistics and
other test parameters before exiting. Since verification of data is performed,
dt can be thought of as a generic diagnostic tool.

dt command lines are similar to the dd program, which is popular on most UNIX
systems. It contains numerous options to give the user control of various test
parameters.

dt has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, dt can be used for any device
that allows the standard open, read, write, and close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.

Available documentation is located in %{_defaultdocdir}/%{name}-%{version}. Sample
scripts and config data are installed in %{_datadir}/%{name}.

%prep
%setup -q -n dt.d
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -DAIO -DFIFO -DMMAP -D__linux__ -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DTHREADS" -f Makefile.linux

%install
install -d -m755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/html
install -m755 dt $RPM_BUILD_ROOT%{_sbindir}
install -m644 Documentation/dt.man $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
install -m755 Scripts/dt? $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m644 data/pattern_* $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m644 html/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/html

%files
%doc Documentation/*.pdf Documentation/dt-UsersGuide.txt Documentation/LINUX-Notes Documentation/IOT-Example README.1st LICENSE WhatsNewFiles/*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.**

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_2
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 17.66-alt1_1
- converted for ALT Linux by srpmconvert tools

